import { BridgeWidgetParams, IMTBLWidgetEvents, WidgetProperties, WidgetType } from '@imtbl/checkout-sdk';
import { Base } from '../BaseWidgetRoot';
export declare class Bridge extends Base<WidgetType.BRIDGE> {
    protected eventTopic: IMTBLWidgetEvents;
    protected getValidatedProperties({ config }: WidgetProperties<WidgetType.BRIDGE>): WidgetProperties<WidgetType.BRIDGE>;
    protected getValidatedParameters(params: BridgeWidgetParams): BridgeWidgetParams;
    protected render(): void;
}
